Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions
Argus::Range< T > Class Template Reference

Range template class. More...

`#include <Types.h>`

Inheritance diagram for Argus::Range< T >:

List of all members.

## Public Member Functions
| Range ()
| Range (const Tuple< 2, T > &other)
| Range (T init)
| Range (T _min, T _max)
T & | min ()
const T & | min () const
T & | max ()
const T & | max () const
bool | empty () const
Public Member Functions inherited from Argus::Tuple< 2, T >
| Tuple ()
| Tuple (T init)
| Initialize every element of the tuple to a single value.
bool | operator== (const Tuple< N, T > &rhs) const
| Returns true when every element in the two tuples are identical.
bool | operator!= (const Tuple< N, T > &rhs) const
| Returns true if there are any differences between the two tuples.
Tuple< N, T > & | operator+= (const Tuple< N, T > &rhs)
| Adds every element of another tuple to the elements of this tuple.
Tuple< N, T > & | operator-= (const Tuple< N, T > &rhs)
| Subtracts every element of another tuple from the elements of this tuple.
Tuple< N, T > & | operator*= (const T &rhs)
| Multiplies every element in the tuple by a single value.
Tuple< N, T > & | operator/= (const T &rhs)
| Divides every element in the tuple by a single value.
const Tuple< N, T > | operator+ (const Tuple< N, T > &rhs) const
| Returns the result of adding another tuple to this tuple.
const Tuple< N, T > | operator- (const Tuple< N, T > &rhs) const
| Returns the result of subtracting another tuple from this tuple.
const Tuple< N, T > | operator* (const T &rhs) const
| Returns the result of multiplying this tuple by a single value.
const Tuple< N, T > | operator/ (const T &rhs) const
| Returns the result of dividing this tuple by a single value.
T & | operator[] (unsigned int i)
const T & | operator[] (unsigned int i) const

## Additional Inherited Members
Static Public Member Functions inherited from Argus::Tuple< 2, T >
static unsigned int | tupleSize ()
| Returns the number of elements in the tuple.
Protected Attributes inherited from Argus::Tuple< 2, T >
T | m_data [N]

## Detailed Description

### template<typename T>
class Argus::Range< T >

Range template class.

This is a Tuple specialization containing 2 elements corresponding to the min and max values of the range, in that order. Values can be accessed using the named methods.

Definition at line 710 of file Types.h.

## Constructor & Destructor Documentation

template<typename T>

Argus::Range< T >::Range | ( |  | ) |
| inline

Definition at line 713 of file Types.h.

template<typename T>

Argus::Range< T >::Range | ( | const Tuple< 2, T > & | other | ) |
| inline

Definition at line 714 of file Types.h.

template<typename T>

Argus::Range< T >::Range | ( | T | init | ) |
| inline

Definition at line 716 of file Types.h.

template<typename T>

Argus::Range< T >::Range | ( | T | _min,
|  | T | _max
| ) |  |
| inline

Definition at line 721 of file Types.h.

## Member Function Documentation

template<typename T>

bool Argus::Range< T >::empty | ( |  | ) | const
| inline

Definition at line 732 of file Types.h.

template<typename T>

T& Argus::Range< T >::max | ( |  | ) |
| inline

Definition at line 729 of file Types.h.

template<typename T>

const T& Argus::Range< T >::max | ( |  | ) | const
| inline

Definition at line 730 of file Types.h.

template<typename T>

T& Argus::Range< T >::min | ( |  | ) |
| inline

Definition at line 727 of file Types.h.

template<typename T>

const T& Argus::Range< T >::min | ( |  | ) | const
| inline

Definition at line 728 of file Types.h.

The documentation for this class was generated from the following file:

- include/Argus/Types.h